%define    ver    0.2.5
%define    rel    1

Summary: GNOME daemon to automatically mount/play CD's
Name: magicdev
Version: %{ver}
Release: %{rel}
Copyright: GPL
Group: Applications/System
Source: magicdev-%{ver}.tar.gz
BuildRoot: /var/tmp/%{name}-root

%description
A daemon that runs within the GNOME environment and detects
when a CD is removed or inserted. It handles running auto-run
programs on the CD, updating the File Manager and playing audio CDs.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --sysconfdir=/etc

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
strip $RPM_BUILD_ROOT/usr/bin/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/bin/*
/usr/share/control-center/Peripherals/cd.desktop
/usr/share/gnome/apps/Settings/Peripherals/cd.desktop
/usr/share/magicdev
/usr/share/idl/*
/etc/CORBA/servers/*


%changelog
* Thu Sep 09 1999 Elliot Lee <sopwith@redhat.com>
- Initial package
